Subject: Re: [Ianaplan] Question from the ICG

From: "Leslie Daigle" <[email-masked]>
Date: Fri, 02 Oct 2015 18:31:13 -0400

At this point, I’m simply going to observe that the WG does not seem 
to raise any objection to the statement that informal coordination 
exists today and will continue, which is consistent with the commitment 
requested by the ICG:

“The three operational communities have a long history of cooperation 
as needed to help ensure the smooth functioning of the DNS and the 
Internet. A number of comments were concerned that the three IANA 
functions could end up being carried out by different operators and 
suggested that there was a need for some information exchange and 
coordination between the operational communities to ensure a proper 
understanding of the impact a change might have on the operation of the 
other functions (perhaps because of interdependencies between the 
functions or because of shared resources or key staff). This information 
exchange might also help in coordinating action in the case of remedying 
operational difficulties. For this to work, the three operational 
communities need to commit to coordinating and cooperating as necessary 
when changing operator, whether by leveraging existing coordination 
mechanisms or new ones.  Can the protocol parameters operational 
community provide such a commitment? “

Leslie.

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------
On 29 Sep 2015, at 14:00, Russ Housley wrote:

> Olivier:
>
>> On 29/09/2015 16:15, Andrew Sullivan wrote:
>>> I am therefore not convinced even a little bit that additional 
>>> formal
>>> commitments, rules, processes, or anything of that sort, are
>>> advisable.  The goal is to make the Internet better, not to achieve 
>>> a
>>> nicely designed process.  As the WG (and, in other contexts, the 
>>> IAB)
>>> said, the appoach we're using today (which is mostly informal) is
>>> working well.  There is no reason to invent new ways of ensuring 
>>> that
>>> communication when the communication now flows without such
>>> inventions.
>>
>> I understand the reticence in "if it ain't broken, don't fix it". The
>> recommendation was made by several entities, including the ALAC. We 
>> were
>> concerned that whilst today there appears to be several informal
>> channels, the future might not keep it this way. So we felt that it
>> would be a good idea to keep at least a formal channel open so that 
>> we
>> don't end up with one operational community deciding to split without
>> finding a way to keep the three functions operated by the same IANA
>> functions operator.
>
> Please take a look at the comments from the IAB to the ICG (see 
> https://www.iab.org/documents/correspondence-reports-documents/2015-2/iab-comments-on-icg-proposal/). 
>  This part is especially relevant here:
>
> Informal and loosely-coupled coordination
> has worked well in the past, and it produced the coherent ICG proposal
> without formal liaisons among the communities.  We believe that this 
> web
> of relationships is a strong expression of the multistakeholder model,
> and that there is no need to concentrate these relationships within 
> new
> ICANN structures.  The IAB does not oppose additional formal links in
> principle if they are found to be useful in the future, and we believe
> we have all of the necessary mechanisms for adding them.  In general,
> however, we prefer informal coordination and communication among the
> communities, and we generally prefer to avoid creating additional
> organizational structures.  We believe this organizational model
> reflects the way the Internet works.
>
>> I'd see it as an opportunity to enhance collaboration between
>> operational communities. As individuals we are not immortal. I have 
>> no
>> idea what the next generations will be like and whether this 
>> collegial
>> collaboration will continue.
>
> The operational communities need to have informal communication among 
> themseleves whether they share the same IANA functions operator or 
> not.
>
> To me, the best response to the ICG is that informal coordination 
> existed today and we will continue it in the future.
>
> Russ
>
> _______________________________________________
> Ianaplan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ianaplan

---

From: Ted Hardie <[email-masked]>
Date: Fri, 2 Oct 2015 15:39:20 -0700

On Fri, Oct 2, 2015 at 3:31 PM, Leslie Daigle <[email-masked]>
wrote:

>
> At this point, I’m simply going to observe that the WG does not seem to
> raise any objection to the statement that informal coordination exists
> today and will continue,

​I think that is appropriate, and I believe that you could point to this
text of Section 6 of the existing draft:

   The IETF leadership, ICANN, and the
   RIRs maintain an ongoing informal dialog to spot any unforeseen
   issues that might arise as a result of other changes.

as consensus text supporting the assertion that we engage in informal
coordination.  Your observation that the WG does not raised any objection
to the statement that informal coordination exists today will continue can
follow that.

regards,

TEd

> which is consistent with the commitment requested by the ICG:
>
> “The three operational communities have a long history of cooperation as
> needed to help ensure the smooth functioning of the DNS and the Internet. A
> number of comments were concerned that the three IANA functions could end
> up being carried out by different operators and suggested that there was a
> need for some information exchange and coordination between the operational
> communities to ensure a proper understanding of the impact a change might
> have on the operation of the other functions (perhaps because of
> interdependencies between the functions or because of shared resources or
> key staff). This information exchange might also help in coordinating
> action in the case of remedying operational difficulties. For this to work,
> the three operational communities need to commit to coordinating and
> cooperating as necessary when changing operator, whether by leveraging
> existing coordination mechanisms or new ones.  Can the protocol parameters
> operational community provide such a commitment? “
>
>
> Leslie.
>
> --
>
>>>> I am therefore not convinced even a little bit that additional formal
>>>> advisable.  The goal is to make the Internet better, not to achieve a
>>>> nicely designed process.  As the WG (and, in other contexts, the IAB)
>>>> working well.  There is no reason to invent new ways of ensuring that
>>> recommendation was made by several entities, including the ALAC. We were
>>> would be a good idea to keep at least a formal channel open so that we
>> without formal liaisons among the communities.  We believe that this web
>> and that there is no need to concentrate these relationships within new
>>> operational communities. As individuals we are not immortal. I have no
>>> idea what the next generations will be like and whether this collegial
>> themseleves whether they share the same IANA functions operator or not.
>>
>> To me, the best response to the ICG is that informal coordination existed
>> today and we will continue it in the future.
>>
>> Russ
>>

---

From: Jari Arkko <[email-masked]>
Date: Wed, 7 Oct 2015 15:35:34 +0300

> At this point, I’m simply going to observe that the WG does not seem to raise any objection to the statement that informal coordination exists today and will continue, which is consistent with the commitment requested by the ICG

I think that is correct.

And agree with Ted’s friendly amendment.

People should know that the IAB is preparing a response as well,
and this seems to me quite appropriate, given the role of IAB
in overseeing IANA and being the liaison from IETF to other entities.

I will take the conclusion from the working group and carry
a message to the ICG. Draft text:

——

The IANAPLAN working group has discussed the coordination
question from the ICG. In the working group’s opinion,
informal coordination exists today and will continue, which
is consistent with the commitment requested by the ICG.

This is also consistent with an overall coordination commitment
already indicated in the IANAPLAN proposal. The proposal
is a consensus document of the IETF. From the proposal:

   The IETF will continue to coordinate with ICANN, the RIRs, and other
   parties that are mutually invested in the continued smooth operation
   of the Internet registries.

The coordination approach is also consistent with the
comments that were sent by the IAB to the ICG during the
public comment period. See
https://www.iab.org/documents/correspondence-reports-documents/2015-2/iab-comments-on-icg-proposal/.

Jari Arkko,
IETF Chair and the Area Director for the IANAPLAN WG